Explain the lifecycle state
- GET /{index}/_ilm/explain
Get the current lifecycle status for one or more indices. For data streams, the API retrieves the current lifecycle status for the stream's backing indices.
The response indicates when the index entered each lifecycle state, provides the definition of the running phase, and information about any failures.
About explaining lifecycle stateRequired privileges
- Index privileges view_index_metadata manage_ilm
Response
-
indicesmap string to oneOfrequired -
<string>union oneOf -
age_in_millisnumberThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
phase_executionobject -
phase_definitionobject -
actionsobject -
searchable_snapshotobject -
Phases allowed: hot, cold, frozen.
-
force_merge_on_cloneboolean · default: trueThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
If
true, and the index has replicas, ILM first clones the index with zero replicas and force merges the clone, so that replicas are not merged redundantly. Iffalse, the managed index is force merged directly. Not allowed whenforce_merge_indexisfalse. -
total_shards_per_nodenumberThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.16 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
The maximum number of shards, including primaries and replicas, that can be allocated to any single node for the mounted index. Must be at least 1.
-
replicate_forstringThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.18 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
The period for which the mounted index keeps one replica before the replica is removed. By default, the index is mounted without replicas. Must be positive. Only the first
searchable_snapshotaction in a policy may set this. It must fit before the next phase starts: for example, if this phase has amin_ageof 5d and the next phase has 12d, it can be at most 7d.
managed: true